Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.element
Interface ManagedProperty

All Known Implementing Classes:
  ManagedProperty

public interface ManagedProperty

Version:
  $Revision: 279999 $ $Date: 2005-09-10 08:37:54 -0400 (Sat, 10 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $), Anton Koinov

Field Summary
`static int` | `TYPE_LIST`
`static int` | `TYPE_MAP`
`static int` | `TYPE_NULL`
`static int` | `TYPE_UNKNOWN`
`static int` | `TYPE_VALUE`

Method Summary
`ListEntries` | `getListEntries()`
`MapEntries` | `getMapEntries()`
`java.lang.String` | `getPropertyClass()`
`java.lang.String` | `getPropertyName()`
`java.lang.Object` | `getRuntimeValue(javax.faces.context.FacesContext facesContext)`
`int` | `getType()`
`javax.faces.el.ValueBinding` | `getValueBinding(javax.faces.context.FacesContext facesContext)`
`boolean` | `isValueReference()`

Field Detail

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

See Also:
  Constant Field Values

### TYPE_MAP

    public static final int TYPE_MAP

See Also:
  Constant Field Values

### TYPE_NULL

    public static final int TYPE_NULL

See Also:
  Constant Field Values

### TYPE_VALUE

    public static final int TYPE_VALUE

See Also:
  Constant Field Values

### TYPE_LIST

    public static final int TYPE_LIST

See Also:
  Constant Field Values

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

### getPropertyClass

    public java.lang.String getPropertyClass()

### getType

    public int getType()

### getMapEntries

    public MapEntries getMapEntries()

### getListEntries

    public ListEntries getListEntries()

### getRuntimeValue

    public java.lang.Object getRuntimeValue(javax.faces.context.FacesContext facesContext)

### isValueReference

    public boolean isValueReference()

### getValueBinding

    public javax.faces.el.ValueBinding getValueBinding(javax.faces.context.FacesContext facesContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD